//#
//# Copyright (C) 2021-2023 QuasarApp.
//# Distributed under the GPLv3 software license, see the accompanying
//# Everyone is permitted to copy and distribute verbatim copies
//# of this license document, but changing it is not allowed.
//#

#include "ButterflyEngine/global.h"
#include <QString>

inline void initButterflyEngineResources() { Q_INIT_RESOURCE(ButterflyEngine); }

namespace ButterflyEngine {

/**
 * @brief init main initialize method of The ButterflyEngine library
 * @return true if library initialized successfull
 */
bool BUTTERFLY_ENGINE_EXPORT init();

/**
 * @brief version This method return string value of a library version
 * @return string value of a library version
 */
QString BUTTERFLY_ENGINE_EXPORT version();

};
