//#
//# Copyright (C) 2021-2024 QuasarApp.
//# Distributed under the GPLv3 software license, see the accompanying
//# Everyone is permitted to copy and distribute verbatim copies
//# of this license document, but changing it is not allowed.
//#

#include "defaultlight.h"

namespace ButterflyEngine {

DefaultLight::DefaultLight(): IWorldLight(AUTO_CLASS_NAME) {
    setColor("#fff8e7");
    setposition({10000, 0, 10000});
    setRotation(QQuaternion::fromEulerAngles({-90,0,0}));
    setLightForce(110);
}

void DefaultLight::render(unsigned int) {

}

void DefaultLight::init() {

}

}
