//#
//# Copyright (C) 2021-2024 QuasarApp.
//# Distributed under the GPLv3 software license, see the accompanying
//# Everyone is permitted to copy and distribute verbatim copies
//# of this license document, but changing it is not allowed.
//#


#ifndef MOON_H
#define MOON_H

#include "dayitem.h"

namespace ButterflyEngine {

/**
 * @brief The Moon class This is default implementation of the moon for the Dat class.
 */
class BUTTERFLY_ENGINE_EXPORT Moon: public DayItem {
    Q_OBJECT
public:
    Moon(const QVector3D *center);

    void init();

    // IWorldItem interface
protected:
    void onIntersects(const IWorldItem *item);
};
}
#endif // MOON_H
